## org.eclipse.jst.jsf.facesconfig.emf.impl
Class ApplicationTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.ApplicationTypeImpl

All Implemented Interfaces:
  ApplicationType

    public class ApplicationTypeImpl

extends EObjectImpl
implements ApplicationType

An implementation of the model object 'Application Type'.

The following features are implemented:

- `Action Listener`
- `Default Render Kit Id`
- `Message Bundle`
- `Navigation Handler`
- `View Handler`
- `State Manager`
- `EL Resolver`
- `Property Resolver`
- `Variable Resolver`
- `Resource Handler`
- `System Event Listener`
- `Locale Config`
- `Resource Bundle`
- `Application Extension`
- `Default Validators`
- `Id`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getActionListener()`
`EList` `getApplicationExtension()`
`EList` `getDefaultRenderKitId()`
`EList` `getDefaultValidators()`
`EList` `getELResolver()`
`java.lang.String` `getId()`
`EList` `getLocaleConfig()`
`EList` `getMessageBundle()`
`EList` `getNavigationHandler()`
`EList` `getPropertyResolver()`
`EList` `getResourceBundle()`
`EList` `getResourceHandler()`
`EList` `getStateManager()`
`EList` `getSystemEventListener()`
`EList` `getVariableResolver()`
`EList` `getViewHandler()`
`void` `setId(java.lang.String newId)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getActionListener

    public EList getActionListener()

  Specified by:
    `getActionListener` in interface `ApplicationType`
  Returns:
    the value of the 'Action Listener' containment reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_ActionListener()`

### getDefaultRenderKitId

    public EList getDefaultRenderKitId()

  Specified by:
    `getDefaultRenderKitId` in interface `ApplicationType`
  Returns:
    the value of the 'Default Render Kit Id' containment reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_DefaultRenderKitId()`

### getMessageBundle

    public EList getMessageBundle()

  Specified by:
    `getMessageBundle` in interface `ApplicationType`
  Returns:
    the value of the 'Message Bundle' containment reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_MessageBundle()`

### getNavigationHandler

    public EList getNavigationHandler()

  Specified by:
    `getNavigationHandler` in interface `ApplicationType`
  Returns:
    the value of the 'Navigation Handler' containment reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_NavigationHandler()`

### getViewHandler

    public EList getViewHandler()

  Specified by:
    `getViewHandler` in interface `ApplicationType`
  Returns:
    the value of the 'View Handler' containment reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_ViewHandler()`

### getStateManager

    public EList getStateManager()

  Specified by:
    `getStateManager` in interface `ApplicationType`
  Returns:
    the value of the 'State Manager' containment reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_StateManager()`

### getPropertyResolver

    public EList getPropertyResolver()

  Specified by:
    `getPropertyResolver` in interface `ApplicationType`
  Returns:
    the value of the 'Property Resolver' containment reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_PropertyResolver()`

### getVariableResolver

    public EList getVariableResolver()

  Specified by:
    `getVariableResolver` in interface `ApplicationType`
  Returns:
    the value of the 'Variable Resolver' containment reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_VariableResolver()`

### getResourceHandler

    public EList getResourceHandler()

  Specified by:
    `getResourceHandler` in interface `ApplicationType`
  Returns:
    the value of the 'Resource Handler' containment reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_ResourceHandler()`

### getSystemEventListener

    public EList getSystemEventListener()

  Specified by:
    `getSystemEventListener` in interface `ApplicationType`
  Returns:
    the value of the 'System Event Listener' reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_SystemEventListener()`

### getLocaleConfig

    public EList getLocaleConfig()

  Specified by:
    `getLocaleConfig` in interface `ApplicationType`
  Returns:
    the value of the 'Locale Config' containment reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_LocaleConfig()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `ApplicationType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `ApplicationType.setId(String)`, `FacesConfigPackage.getApplicationType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `ApplicationType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `ApplicationType.getId()`

### getELResolver

    public EList getELResolver()

  Specified by:
    `getELResolver` in interface `ApplicationType`
  Returns:
    the value of the 'EL Resolver' reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_ELResolver()`

### getResourceBundle

    public EList getResourceBundle()

  Specified by:
    `getResourceBundle` in interface `ApplicationType`
  Returns:
    the value of the 'Resource Bundle' reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_ResourceBundle()`

### getApplicationExtension

    public EList getApplicationExtension()

  Specified by:
    `getApplicationExtension` in interface `ApplicationType`
  Returns:
    the value of the 'Application Extension' reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_ApplicationExtension()`

### getDefaultValidators

    public EList getDefaultValidators()

  Specified by:
    `getDefaultValidators` in interface `ApplicationType`
  Returns:
    the value of the 'Default Validators' reference list.
  See Also:
    `FacesConfigPackage.getApplicationType_DefaultValidators()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()